Subject: Re: bug#14782: 24.3.50; flyspell-mode garbles accents in terminal clients

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Jul 2013 05:44:45 +0300

> From: Stefano Zacchiroli <[email-masked]>
> Date: Thu, 04 Jul 2013 00:19:29 +0200
> 
> 
> Consider the following 3 lines:
> 
>   conférence
>   confÃ\251rence
>   conférence
> 
> all 3 have been inserted typing exactly the same characters in a
> terminal emacsclient (i.e. emacsclient -t)
> 
> - the first on, which shows the expected behavior, has been obtained
>   with flyspell-mode turned off
> 
> - the second one, with garbled characters near the attempt to insert the
>   character "é" (letter "e" with an acute accent on top), has been
>   obtained with flyspell-mode turned on
> 
> - the third one has been obtained with flyspell-mode turned on, but by
>   typing "confe" (without accent), then hitting backspace, then
>   restarting with "é" (letter "e" with accent). I.e. it seems that
>   accented letters at the beginning of words / after spaces are fine,
>   whereas they garble the input when they're in the middle or at the end
>   of words
> 
> The problem does not manifest itself in GUI clients (i.e. emacsclient
> -c) or in stand-alone Emacs instances that do not use Emacs server.

It sounds like your encoding, which Emacs uses to communicate with the
speller, is set up incorrectly.